Loading...
Searching...
No Matches
casacore::IsNaN< T > Struct Template Reference

Functor to test for NaN. More...

`#include <Functors.h>`

## Public Member Functions

bool | operator() (T value) const

## Detailed Description

template<typename T>
struct casacore::IsNaN< T >

Functor to test for NaN.

It can be used in something like:

std::transform (array.begin(), array.end(),
result.begin(), IsNaN<T>());
casacore::array
TYPE * array
the allocated array
Definition hdu.h:491
casacore::IsNaN
Functor to test for NaN.
Definition Functors.h:265

Definition at line 264 of file Functors.h.

## Member Function Documentation

## operator()()

template<typename T>

bool casacore::IsNaN< T >::operator() | ( | T | value | ) | const

inline

Definition at line 266 of file Functors.h.

References casacore::isNaN(), and casacore::NewDelAllocator< T >::value.

The documentation for this struct was generated from the following file:

- casa/BasicMath/Functors.h